Advertisement:

Author Topic: MySQL 5.0.12 Compatibility patch  (Read 153816 times)

Offline newbiepp

  • Newbie
  • *
  • Posts: 3
Re: MySQL 5.0.12 Compatibility patch
« Reply #40 on: November 07, 2005, 08:48:11 PM »
thanks
correct!

Offline CapriSkye

  • Full Member
  • ***
  • Posts: 574
    • Open
Re: MySQL 5.0.12 Compatibility patch
« Reply #41 on: November 07, 2005, 09:46:42 PM »
The problem is the order of joins:

Code: [Select]
FROM A, B
   LEFT JOIN C

was before MySQL 5.0.12 interpreted as:
Code: [Select]
FROM ((A, B)
   LEFT JOIN C)

but after MySQL 5.0.12 interpreted as:
Code: [Select]
FROM (A, (B
   LEFT JOIN C))

If there's only one table after the FROM it can only be interpreted in one way, so the parentheses are unnecessary.

if my professor could explain things like you do, then programming wouldn't be so hard....

Offline AzaToth

  • Jr. Member
  • **
  • Posts: 276
  • Gender: Male
Re: MySQL 5.0.12 Compatibility patch
« Reply #42 on: November 07, 2005, 09:56:15 PM »
You need to make the files writeable.  CHMOD them to 777

How do I use chmod?

Yes, made chmod:
Code: [Select]
You cannot download or install new packages because the Packages directory or one of the files in it are not writable!

Offline ^Raven^

  • Jr. Member
  • **
  • Posts: 266
  • Gender: Male
  • Nalabialabianja Oglabiavulva?
    • CWF GameCast
Re: MySQL 5.0.12 Compatibility patch
« Reply #43 on: November 08, 2005, 12:53:22 AM »
I installed the patch too, was nervous, and it worked like a charm.  Thank you Package Manager.  Out of curosity, what pages, in particular, would be affected in SMF if the host upgraded to MySQL 5.0.12 and we didn't install the patch?
Jon Reinhart

Owner, CWF GameCast

Public Relations Coordinator, Battlestar Galactica Wiki

Offline xenovanis

  • SMF Friend
  • SMF Super Hero
  • *
  • Posts: 12,988
  • Gender: Female
Re: MySQL 5.0.12 Compatibility patch
« Reply #44 on: November 08, 2005, 04:58:51 AM »
You need to make the files writeable.  CHMOD them to 777

How do I use chmod?

Yes, made chmod:
Code: [Select]
You cannot download or install new packages because the Packages directory or one of the files in it are not writable!

Try this:

http://www.simplemachines.org/community/index.php?topic=55616.msg389980#msg389980
"Insanity: doing the same thing over and over again and expecting different results."

Offline gijs

  • Jr. Member
  • **
  • Posts: 128
  • Gender: Male
Re: MySQL 5.0.12 Compatibility patch
« Reply #45 on: November 08, 2005, 05:41:23 AM »
Try creating a dir called temp in the attachments dir and chmod it to 777

This worked with this patch, but now I get the same error when trying to install the 'Users Online Today Mod 1.1.2' (and now I do have a temp dir in the attachm.-folder)

Bonk

  • Guest
Re: MySQL 5.0.12 Compatibility patch
« Reply #46 on: November 08, 2005, 07:48:13 AM »
Our forums are running fine on MySQL 5.0.15 now, thanks again!  :)

Offline JayBachatero

  • SMF Friend
  • SMF Super Hero
  • *
  • Posts: 19,562
  • Gender: Male
    • @jaycreations on Twitter
    • JayBachatero.com
Re: MySQL 5.0.12 Compatibility patch
« Reply #47 on: November 08, 2005, 09:50:35 AM »
Try creating a dir called temp in the attachments dir and chmod it to 777

This worked with this patch, but now I get the same error when trying to install the 'Users Online Today Mod 1.1.2' (and now I do have a temp dir in the attachm.-folder)

Ive seen this happen a few times to other visitors.  Its something with your host.  Deleted it create it again and chmod it to 777.
Follow me on Twitter

"HELP!!! I've fallen and I can't get up"
This moment has been brought to you by LifeAlert

Offline JayBachatero

  • SMF Friend
  • SMF Super Hero
  • *
  • Posts: 19,562
  • Gender: Male
    • @jaycreations on Twitter
    • JayBachatero.com
Re: MySQL 5.0.12 Compatibility patch
« Reply #48 on: November 08, 2005, 11:16:13 AM »
I just realized i posted the wrong dir.  for future refference its Packages dir.
Follow me on Twitter

"HELP!!! I've fallen and I can't get up"
This moment has been brought to you by LifeAlert

Offline Anakin_holland

  • Jr. Member
  • **
  • Posts: 237
  • Gender: Male
  • universe malfunction, restart reality.sys ?
Re: MySQL 5.0.12 Compatibility patch
« Reply #49 on: November 08, 2005, 01:51:56 PM »
Thnx! Will install it ASAP.

Cheers!

Offline Mike A

  • Newbie
  • *
  • Posts: 2
Re: MySQL 5.0.12 Compatibility patch
« Reply #50 on: November 08, 2005, 02:46:15 PM »
I'm getting the error messages:

Quote
Notice: Only variables should be assigned by reference in /home/we******/public_html/boards/Sources/Subs.php on line 232

Notice: Undefined index: is_admin in /home/we******/public_html/boards/Sources/Security.php on line 556

Notice: Undefined index: permissions in /home/we******/public_html/boards/Sources/Security.php on line 563

Warning: in_array(): Wrong datatype for second argument in /home/we******/public_html/boards/Sources/Security.php on line 563
session_start(): Cannot send session cookie - headers already sent by (output started at /home/we******/public_html/boards/Sources/Subs.php:232)

I searched these forums and found someone with identical error messages whose question led me to here for the answer.  I downloaded the corrected files for my version of SMF and installed them in the correct directories over the original files via FTP.

I'm still getting the exact same error messages.

Anyone have any ideas?  The site owner is getting a bit impatient to get his forums back online.

Offline JayBachatero

  • SMF Friend
  • SMF Super Hero
  • *
  • Posts: 19,562
  • Gender: Male
    • @jaycreations on Twitter
    • JayBachatero.com
Re: MySQL 5.0.12 Compatibility patch
« Reply #51 on: November 08, 2005, 02:47:18 PM »
I'm getting the error messages:

Quote
Notice: Only variables should be assigned by reference in /home/we******/public_html/boards/Sources/Subs.php on line 232

Notice: Undefined index: is_admin in /home/we******/public_html/boards/Sources/Security.php on line 556

Notice: Undefined index: permissions in /home/we******/public_html/boards/Sources/Security.php on line 563

Warning: in_array(): Wrong datatype for second argument in /home/we******/public_html/boards/Sources/Security.php on line 563
session_start(): Cannot send session cookie - headers already sent by (output started at /home/we******/public_html/boards/Sources/Subs.php:232)

I searched these forums and found someone with identical error messages whose question led me to here for the answer.  I downloaded the corrected files for my version of SMF and installed them in the correct directories over the original files via FTP.

I'm still getting the exact same error messages.

Anyone have any ideas?  The site owner is getting a bit impatient to get his forums back online.

PHP 4.4.0 Compatibility
Follow me on Twitter

"HELP!!! I've fallen and I can't get up"
This moment has been brought to you by LifeAlert

Offline Mike A

  • Newbie
  • *
  • Posts: 2
Re: MySQL 5.0.12 Compatibility patch
« Reply #52 on: November 08, 2005, 02:54:03 PM »
Thanks, Jay, for the almost instant and correct answer.  You are indeed "da man".

Offline JayBachatero

  • SMF Friend
  • SMF Super Hero
  • *
  • Posts: 19,562
  • Gender: Male
    • @jaycreations on Twitter
    • JayBachatero.com
Re: MySQL 5.0.12 Compatibility patch
« Reply #53 on: November 08, 2005, 02:55:33 PM »
Thanks, Jay, for the almost instant and correct answer.  You are indeed "da man".

You welcome.
Follow me on Twitter

"HELP!!! I've fallen and I can't get up"
This moment has been brought to you by LifeAlert

Offline frost

  • Semi-Newbie
  • *
  • Posts: 63
Re: MySQL 5.0.12 Compatibility patch
« Reply #54 on: November 08, 2005, 03:03:37 PM »
okay, solve this:

i go to package manager, click the link for the patch and get this:

An Error Has Occurred!
The package you are trying to download or install is either corrupt or not compatible with this version of SMF.

the forum *is* 1.0.5.

On the other one, 1.1 RC1 i don't even get to see the packages. Just a:

 Latest Packages
For the package manager to function properly, please upgrade to the latest version of SMF.


wtf? ???

Offline nokonium

  • Full Member
  • ***
  • Posts: 680
  • Gender: Male
  • TinyPortal Support Team
    • Our-Local
Re: MySQL 5.0.12 Compatibility patch
« Reply #55 on: November 08, 2005, 04:31:48 PM »
I had to manually mod files to get it to install on 1.0.5

On my 1.1RC1 test boards I could not install it via  Latest Packages at all, not with chmodding or creating a temp file. I eventually got it to go by getting hold of the actual update file, uploading it and then installing. Even then I had to manually edit Posts.php on one straight forward test and both Posts.php and Load.php for one with TinyPortal 0.75 installed.

Seem OK now.



Offline RoarinRow

  • Full Member
  • ***
  • Posts: 662
  • Gender: Male
  • Ride my AV!
    • Avalanche Style
Re: MySQL 5.0.12 Compatibility patch
« Reply #56 on: November 08, 2005, 04:36:59 PM »
Finally got my site up last night.  Good thing I backed up my db before installing this patch.

I had to go into MySQL and empty the db in question, which was the 'online' db.  I emptied it, then went to my host to retore the backup.

I had done a lot of changes throughout the day to get the site up again, so I spent most of the day tweaking it get to a stable environment again.

SMF 2.0
TP 1.0 RC1.1
Wordpress 3.1.3

Offline ukr

  • Semi-Newbie
  • *
  • Posts: 20
  • Gender: Male
Re: MySQL 5.0.12 Compatibility patch
« Reply #57 on: November 08, 2005, 05:06:46 PM »
Update went like a charm! I love that Package Manager! :P

I cant even get access to the package manager and the upgrade files do not seem to solve it either.

I get this..........Not Acceptable
An appropriate representation of the requested resource /forum/index.php could not be found on this server.

Apache/1.3.33 Server at www.8thrallycross.co.uk [nofollow] Port 80

This is the only screen that seems to work now.

http://www.8thrallycross.co.uk/forum/index.php [nofollow]

Anyone have any ideas please??

misterdan

  • Guest
Re: MySQL 5.0.12 Compatibility patch
« Reply #58 on: November 10, 2005, 08:52:44 AM »
if our server is not going to update mysql until the whole family comes out, or not at all, will it matter if we apply the patch or not? Will applying the patch hurt?

Thanks,
Dan

Offline Compuart

  • SMF Friend
  • SMF Hero
  • *
  • Posts: 5,774
  • Gender: Male
  • Zéeeeal
    • RealityNet
Re: MySQL 5.0.12 Compatibility patch
« Reply #59 on: November 10, 2005, 10:44:34 AM »
Update went like a charm! I love that Package Manager! :P

I cant even get access to the package manager and the upgrade files do not seem to solve it either.

I get this..........Not Acceptable
An appropriate representation of the requested resource /forum/index.php could not be found on this server.

Apache/1.3.33 Server at www.8thrallycross.co.uk Port 80

This is the only screen that seems to work now.

http://www.8thrallycross.co.uk/forum/index.php

Anyone have any ideas please??
Most likely Having problems with mod_security?

if our server is not going to update mysql until the whole family comes out, or not at all, will it matter if we apply the patch or not? Will applying the patch hurt?

Thanks,
Dan
No, it won't matter on an earlier version of MySQL. It doesn't hurt either, unless you have modifications installed that conflict with this mod, but then you'll receive a warning before the package manager proceeds.
Hendrik Jan Visser
Former Lead Developer & Co-founder www.simplemachines.org
Personal Signature:
Realitynet.nl -> ExpeditieRobinson.net / PekingExpress.org / WieIsDeMol.Com